Package com.tietoenator.trip.jxp

# Enum Class TdbExtendedDatabaseType

java.lang.Object
java.lang.Enum<TdbExtendedDatabaseType>
com.tietoenator.trip.jxp.TdbExtendedDatabaseType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbExtendedDatabaseType>`, `Constable`

public enum TdbExtendedDatabaseType extends Enum<TdbExtendedDatabaseType>
Extended database types enumeration

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Any`
  Databases of any type
  `ClassificationContainer`
  Classification scheme container
  `Demonstration`
  Demonstration database or thesaurus
  `System`
  System database; activities on these databases are highly restricted
  `User`
  User-created database, thesaurus or cluster

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Retrieve the TRIPxpi protocol name for this type of database
  `static TdbExtendedDatabaseType`
  `getTypeof(String name)`
  Factory method to return the appropriate type ID from a protocol name
  `static TdbExtendedDatabaseType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbExtendedDatabaseType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Any

    public static final TdbExtendedDatabaseType Any
    Databases of any type

  - ### User

    public static final TdbExtendedDatabaseType User
    User-created database, thesaurus or cluster

  - ### Demonstration

    public static final TdbExtendedDatabaseType Demonstration
    Demonstration database or thesaurus

  - ### System

    public static final TdbExtendedDatabaseType System
    System database; activities on these databases are highly restricted

  - ### ClassificationContainer

    public static final TdbExtendedDatabaseType ClassificationContainer
    Classification scheme container

- ## Method Details

  - ### values

    public static TdbExtendedDatabaseType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbExtendedDatabaseType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Retrieve the TRIPxpi protocol name for this type of database
    Returns:
      Protocol name

  - ### getTypeof

    public static TdbExtendedDatabaseType getTypeof(String name)
    Factory method to return the appropriate type ID from a protocol name
    Parameters:
      `name` - Protocol name
    Returns:
      Type ID